Как использовать старые дополнения Firefox после обновления браузера

Firefox

Firefox 57 Quantum имеет улучшенный движок, поэтому старые надстройки больше не работают с новой версией браузера. Узнайте, как использовать старые расширения после выпуска последней версии Firefox.

Как использовать старые дополнения Firefox

Firefox 57 полностью обновленная версия популярного браузера, основанная на обновленном движке и оборудованная новым интерфейсом. Mozilla внедрила революционные изменения, сосредоточившись на производительности. Это действительно окупилось, потому что браузер Firefox 57 Quantum работает быстрее, чем Chrome или Opera, а также использует меньше оперативной памяти.

К сожалению, после обновления вы можете обнаружить, что многие наши расширения исчезли. После ввода вкладки с расширениями отображается следующее сообщение:

Что-то здесь не хватает? Некоторые расширения больше не поддерживаются Firefox. Просмотр устаревших расширений.

Информация о старых дополнениях в Firefox 57

После нажатия на ссылку появится список старых надстроек с информацией о том, что они уже отключены. Что происходит? Почему это происходит?

Изменения в поведении надстроек в Firefox 57 Quantum

Предыдущие версии браузера Firefox (56 и старше) поддерживали два типа расширений:

  • оригинальные дополнения, построенные на старой архитектуре (очень продвинутые)
  • расширения на основе механизма WebExtensions (более эффективные, но немного менее продвинутые)

К сожалению, это прошлое. В Firefox 57 Quantum и новее вы можете использовать расширения WebExtensions. Невозможно запустить старые надстройки они отключены и отображаются на вкладке Устаревшие расширения со следующей информацией:

Эти расширения не соответствуют действующим стандартам Firefox и по этой причине отключены.

Список отключенных дополнений в Firefox 57

Чтобы иметь возможность использовать их снова в текущей версии браузера, создатели должны перенести каждое из этих дополнений в новый стандарт WebExtensions. И во многих случаях это уже произошло, потому что добавочная библиотека для Firefox 57 очень велика.

К сожалению, некоторые из старых дополнений были настолько продвинуты, что их функциональные возможности просто не могут быть воспроизведены в стандарте WebExtensions, и мы их больше не увидим.  Итак, что вы делаете, чтобы все еще иметь возможность использовать старые расширения? Давайте посмотрим.

Метод # 1 Использовать альтернативный браузер, основанный на движке Firefox

Первый способ продолжить использование старых надстроек это изменить ваш браузер на тот, который все еще поддерживает их. Многие другие браузеры были выпущены на более старшем движке Firefox, таком как Pale Moon, Waterfox или Sea Monkey.

Они по-прежнему постоянно обновляются, но в то же время они все еще используют этот движок, который совместим со старыми дополнениями. Их интерфейс также не сильно отличается от классического Firefox. Они полностью безопасны и могут использоваться для повседневной работы. Вы можете прочитать о них и загрузить их по ссылкам ниже.

Загрузить Pale Moon

Загрузить Waterfox

Загрузить Sea Monkey

Выберите один из указанных выше браузеров, а затем установите. Из трех упомянутых, Pale Moon является самым популярным, поэтому, если вы не знаете, что выбрать, мы рекомендуем эту версию для начала. Pale Moon это просто оптимизированная версия классического Firefox, оснащенная последними исправлениями безопасности.

Pale Moon - классический Firefox с последними исправлениями безопасности

После запуска выбранного браузера вы найдете интерфейс, совместимый с классическим Firefox. Эти браузеры постоянно обновляются, и в то же время вы можете устанавливать классические дополнения непосредственно с веб-сайта Mozilla.

Способ №2 установить Firefox 52 ESR

Если вы не хотите устанавливать альтернативный браузер в движке Firefox, то другим решением является выполнение так называемого. понизить или установить более старую версию. Так получилось, что даже сама Mozilla дает такую ​​возможность, предоставляя Firefox 52 в версии ESR.

Mozilla выпустила эту версию прежде всего для бизнес-пользователей, которые не могут позволить себе перейти на более новую версию из-за использования программного обеспечения, такого как корпорации. Это немного устаревшая версия Firefox (52), у которой все еще есть патчи поддержки и безопасности, и, самое главное, поддерживает старые надстройки.

Загрузите Firefox 52 ESR PL ​​(32-разрядный)

Загрузите Firefox 52 ESR PL ​​(64-бит)

Загрузите браузер в выбранной версии для своей системы, а затем установите. Поддержка версии 52 ESR будет поддерживаться Mozilla до середины 2018 года, что означает, что к этому моменту будут выпущены обновления безопасности. В этой версии вы можете обычно устанавливать классические дополнения с веб-сайта Mozilla.

Внимание! Firefox 52 ESR Использует тот же профиль Firefox, что и обычная версия. Если вы установите его после того, как Firefox уже обновлен до версии 57, у вас могут возникнуть проблемы с запуском браузера. Решением является создание нового профиля.

После установки щелкните правой кнопкой мыши ярлык Firefox и перейдите к Свойства. В поле Target вы найдете путь к файлу Firefox.exe. Добавить фразу в самом конце , для активации менеджера профилей. поле Target должен выглядеть следующим образом:

C: \ Program Files \ Mozilla Firefox \ firefox.exe -p

Активация менеджера профилей в Firefox

Запустите Firefox. Появится окно выбора профиля выберите параметр для создания нового профиля.

Firefox - создать новый профиль ESR

Назовите его, например Firefox ESR, и выберите его по умолчанию. Благодаря этому при переключении с более новой версии на более старую не будет проблем. Помните, однако, что новый профиль будет чистым, поэтому, если вы используете Firefox Sync, не забудьте снова войти в свою учетную запись, чтобы синхронизировать пароли и закладки.

1 Звезда2 Звезды3 Звезды4 Звезды5 Звезд (Пока оценок нет)
Загрузка...
Понравилась статья? Поделиться с друзьями:
Настройка смартфонов и гаджетов, оборудования и подключение Смарт ТВ, мобильные операторы
Добавить комментарий

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: